FcWeightFromOpenTypeDouble(3)

NAME
FcWeightFromOpenTypeDouble - Convert from OpenType weight values to fontconfig ones

SYNOPSIS
#include <fontconfig/fontconfig.h>

double FcWeightFromOpenTypeDouble (doubleot_weight);

DESCRIPTION

FcWeightFromOpenTypeDouble returns an double value to use with FC_WEIGHT, from an double in the 1..1000 range, resembling the numbers from OpenType specification's OS/2 usWeight numbers, which are also similar to CSS font-weight numbers. If input is negative, zero, or greater than 1000, returns -1. This function linearly doubleerpolates between various FC_WEIGHT_* constants. As such, the returned value does not necessarily match any of the predefined constants.

SINCE

version 2.12.92